package com.ho.business.mapper;

import com.ho.business.entity.ElecPrice;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author yule
* @description 针对表【elec_price】的数据库操作Mapper
* @createDate 2022-08-25 16:39:51
* @Entity com.ho.business.entity.ElecPrice
*/
public interface ElecPriceMapper {

    int deleteByPrimaryKey(Integer id);

    int insert(ElecPrice record);

    int insertSelective(ElecPrice record);

    ElecPrice selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ElecPrice record);

    int updateByPrimaryKey(ElecPrice record);

    List<ElecPrice> selectAll();

    List<ElecPrice> selectByStationIdAndTime(@Param("groupId") Integer groupId,
                                             @Param("stationId") Integer stationId,
                                             @Param("startTime") String startTime,
                                             @Param("endTime") String endTime);

    //根据集团Id查询最新的那天
    String selectStartTime(@Param("groupId") Integer groupId);



}
